regina::detail::ExampleFromLowDim< dim, available > Class Template Reference
Implementation details

Helper class that builds various dim-dimensional triangulations from (dim-1)-dimensional triangulations. More...

`#include <triangulation/detail/example.h>`

## Static Public Member Functions

static Triangulation< dim > * | doubleCone (const Triangulation< dim-1 > &base)
| Returns a double cone over the given (dim-1)-dimensional triangulation. More...
static Triangulation< dim > * | singleCone (const Triangulation< dim-1 > &base)
| Returns a single cone over the given (dim-1)-dimensional triangulation. More...

## Detailed Description

### template<int dim, bool available>
class regina::detail::ExampleFromLowDim< dim, available >

Helper class that builds various dim-dimensional triangulations from (dim-1)-dimensional triangulations.

Python:\n This base class is not present, but the "end user"
  class Example<dim> is.

Template Parameters

  dim | the dimension of the example triangulations to construct. This must be between 2 and 15 inclusive.
  available | `true` if Regina supports (dim-1)-dimensional triangulations, or `false` if not (in which case this class will be empty).

The documentation for this class was generated from the following file:

- triangulation/detail/example.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).